Bug 1574667 - CephMetrics dashboard shows negative disk IOPs and Throughput
Summary: CephMetrics dashboard shows negative disk IOPs and Throughput
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Metrics
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 3.*
Assignee: ceph-eng-bugs
QA Contact: Madhavi Kasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 19:38 UTC by Michael J. Kidd
Modified: 2019-11-22 06:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 05:55:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michael J. Kidd 2018-05-03 19:38:21 UTC
Description of problem:
Cluster has down OSD and is experiencing data rebalance
 - Shows negative value for disk IOPs and disk Throughput
 - Once down OSD returned to service (but still rebalancing), disk IOPs and Throughput show normal again

Version-Release number of selected component (if applicable):
ceph-ansible-3.0.31-1.el7cp.noarch                          Mon Apr 30 11:38:59 2018
ceph-common-12.2.4-6.el7cp.x86_64                           Mon Apr 30 11:38:47 2018
ceph-fuse-12.2.4-6.el7cp.x86_64                             Mon Apr 30 11:38:49 2018
ceph-installer-1.3.0-1.el7scon.noarch                       Tue Jul  4 09:31:42 2017
libcephfs2-12.2.4-6.el7cp.x86_64                            Mon Apr 30 11:37:29 2018
librados2-12.2.4-6.el7cp.x86_64                             Mon Apr 30 11:37:27 2018
libradosstriper1-12.2.4-6.el7cp.x86_64                      Mon Apr 30 11:37:30 2018
librbd1-12.2.4-6.el7cp.x86_64                               Mon Apr 30 11:37:27 2018
python-cephfs-12.2.4-6.el7cp.x86_64                         Mon Apr 30 11:37:29 2018
python-rados-12.2.4-6.el7cp.x86_64                          Mon Apr 30 11:37:27 2018
python-rbd-12.2.4-6.el7cp.x86_64                            Mon Apr 30 11:37:29 2018

cephmetrics-1.0-8.el7cp.x86_64                              Tue Mar 13 15:38:03 2018
cephmetrics-ansible-1.0-8.el7cp.x86_64                      Tue Mar 13 15:38:04 2018
cephmetrics-grafana-plugins-1.0-8.el7cp.x86_64              Tue Mar 13 15:37:59 2018


How reproducible:
First observation

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 7 Giridhar Ramaraju 2019-08-05 13:09:43 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 8 Giridhar Ramaraju 2019-08-05 13:10:57 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.